/* Hero section */

#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    min-height: 100dvh;

    display: grid;
    align-items: center;

    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}
#hero picture.back-gr {
    position: absolute;
    inset: 0;
    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero .hero-inner {
    display: grid;
    gap: 5rem;
}

#hero .hero-inner h1 {
    max-width: 18ch;

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero .hero-inner p {
    max-width: 42ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}


/* Advantages */

#advantages {
    gap: 3.2rem;
}
#advantages h2 {
    margin-inline: auto;
    max-width: 35ch;
    font-size: 4.8rem;
    line-height: 1.25;
}
#advantages p {
    font-size: 1.6rem;
    line-height: 1.625;
    color: var(--font-col-400);

    text-align: justify;
    text-wrap: pretty;
    hyphens: auto;
}


/* Our Services */
#services h2 {
    font-size: 4.8rem;
    line-height: 1.25;
}

/* Our Values */
#values h2 {
    font-size: 4.8rem;
    line-height: 1.25;
    text-transform: uppercase;
}
#values h3 {
    margin-inline: auto;
    max-width: 65ch;

    font-size: 1.8rem;
    line-height: 1.625;
    text-align: center;
    color: var(--font-col-400);
}
#values ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(38.5rem, 1fr));
    gap: 3.2rem;
}
#values ul li {
    padding: 3.2rem;

    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 4;

    gap: 2.4rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1rem;

    & .strong-ico {
        width: 6.4rem;
        height: 6.4rem;

        background-color: hsla(from var(-yellow) h s l / 0.1);
        transition: background-color 0.25s;
        border: unset;

        & svg {
            --d: 32px;
            mix-blend-mode: difference;
        }
    }
}
#values ul li:is(:hover, :focus-within) {
    border: 1px solid var(--yellow);

    & .strong-ico {
        background: linear-gradient(
            135deg,
            var(--yellow),
            var(--yellowE5)
        )
    }
}

#values ul li h4 {
    font-size: 2rem;
    font-style: italic;
    color: var(--font-col-600);
}
#values ul li small {
    font-size: 1.6rem;
    line-height: 1.625;
    text-align: justify;
    text-wrap: pretty;
    hyphens: auto;
    color: var(--font-col-300);
}


/* Options */

#options h2 {
    max-width: 15ch;

    font-size: 4.8rem;
    line-height: 1.25;
    text-align: left;
}
#options .text-block p {
    text-align: left;
    text-wrap: balance;
}

#options .questions {
    display: grid;
    gap: 1.6rem;
}

#options details {
    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1rem;

    overflow: clip;
    cursor: pointer;
}

#options details summary {
    padding: 2.7rem;
    padding-right: 6rem;

    font-size: 1.6rem;
    font-weight: 500;
    color: var(--font-col-600);
    text-transform: uppercase;

    background-color: #1f2229;
    transition: background-color 0.3s ease-in-out;

    position: relative;
    isolation: isolate;
}

#options details summary::marker,
#options details summary::-webkit-details-marker {
    appearance: none;
    color: transparent;
    font-size: 0;
    opacity: 0;
}

#options details summary svg {
    position: absolute;
    top: 2.7rem; right: 2.7rem;
    background-color: var(--yellow);
    border-radius: 50%;
    color: #000;

    transition:
        transform 0.25s ease-in-out,
        color 0.5s ease-in-out
    ;

    z-index: 1;
}

#options details[open] summary {
    background-color: hsla(from var(--main-col2) h s l / 0.35);
}
#options details[open] summary svg {
    transform: rotate(45deg);
}

#options details summary:hover {
    background-color: var(--main-col2);
}
#options details p {
    padding: 2.7rem;

    font-size: 1.6rem;
    color: var(--font-col-300);
}

/* pre-Footer */
#pre-footer {
    place-items: center;
    gap: 3.2rem;
    & p {
        max-width: 65ch;
        text-align: center;
    }
}